South bronx job corps center building one renovation

Ended Definitive Contract Awarded Last action

Contract number
DOLETA14C0010
Awardee
Awarding agency
Obligated
$17,956,760

Award facts

Opportunity
  • DOL141RB20740 Solicitation number
Contract value 100% obligated
$17,956,759.57 Current and potential, with all options
Completion date 100% complete
Current and potential, with all options
Funding agency
Job Corps National Office Office of Job Corps, Department of Labor
NAICS code
236220 Commercial and Institutional Building Construction
PSC
C1KZ Architect And Engineering- Construction: Other Conservation And Development Facilities
Set-aside
Total Small Business
Competition
Full and Open Competition after exclusion of sources · 7 offers Sealed Bid
Pricing
Firm Fixed Price
Place of performance
Inwood, NY 11096, USA
Legislative mandates

Award details come from SAM.gov/FPDS.

Transactions

Action Obligated Date
Change Order 48 · 1. RFC 87 value engineering in evaluation of field conditions and available products suitable for the non-linear chimney openings, NCI identified an alternate… $129,678
Change Order 47 -$311,847
Change Order 46 · South bronx job corps center building one south bronx (DOL-ETA-14-c-0010) 1. RFC 086- differential pressure sensor for perimeter heating differential pressure… $30,070
Other Administrative Action 45 · South bronx job corps center building one south bronx (DOL-ETA-14-c-0010) to extend the contract period of performance through january 31, 2019 at no additional… $0
Change Order 44 · South bronx job corps center building one south bronx (DOL-ETA-14-c-0010) RFC 092 is a credit to DOL resulting from definitize modification 29 which was… -$26,651
Change Order 43 · South bronx job corps center building one south bronx (DOL-ETA-14-c-0010) extend the contract period of performance 103 calendar days (through october 31,… $0
Change Order 42 · South bronx job corps center building one south bronx (DOL-ETA-14-c-0010) the purpose of the modification is to extend the contract period of performance from… $0
Funding Only Action 41 $0
Change Order 40 · South bronx job corps center building one south bronx (DOL-ETA-14-c-0010) 1. RFC 089 for additional work for GC's RC 049 (replace existing damaged condenser air… $2,644
Other Administrative Action 39 $0
Change Order 38 · South bronx job corps center building one south bronx (DOL-ETA-14-c-0010) 1. To install balancing valves and pressure sensor to the water side of the heating… $30,000
Other Administrative Action 37 · South bronx job corps center building one south bronx (DOL-ETA-14-c-0010) 1. Extend the contract period of performance forty-seven (47) calendar days. No… $0
Change Order 36 $23,487
Change Order 35 $52,155
Change Order 34 $7,291
Change Order 33 · South bronx job corps center building one south bronx (DOL-ETA-14-c-0010) 1. RFC no. 082 (GC's RFC no. 077) upgrade perimeter heating at room 205 plenum… $16,583
Change Order 32 · South bronx job corps center building one south bronx (DOL-ETA-14-c-0010) construction contract modification request for a 30 day no-cost-time extension the… $0
Change Order 31 · South bronx job corps center building one south bronx (DOL-ETA-14-c-0010) nagan 10,393.00 construction contract modification request for multiple rfcs the final… $10,393
Change Order 30 · South bronx job corps center building one 1. (RFC 68) ACM testing at connecting corridor roof 2. (RFC 72) replace concrete slab at room 325 3. (RFC 73) CDX… $81,765
Change Order 29 · South bronx job corps center building one this modification adds/removes to the contract as described below: 1.remove the additional tower, n.&e. Elevations;… $23,649
Change Order 28 · South bronx job corps center building one RFC 64 replace steel gas line and replace shut-off valve RFC 66 reconstruction and restoration of south-east masonry… $739,708
Change Order 27 · South bronx job corps center building one renovation RFC 060R- credit for masonry raking and repointing the period of performance is june 30, 2017. The… -$279,602
Change Order 26 · South bronx job corps center building one renovation RFC 062- provide additional tower, north & east 3RD floor facades. Provide additional historic… $830,624
Change Order 25 · South bronx job corps center building one renovation RFC 61- provide additional facade restorations the period of performance is june 30, 2017. The… $226,858
Change Order 24 · South bronx job corps center building one renovation RFC 54 kitchen exhaust fan repair RFC 55 sever room AC units condensate return piping RFC 57 extended… $34,653
Change Order 23 · South bronx job corps center building one renovation RFC 38 credit for repair of exterior metal stair ($20,231.00) RFC 45 credit for definitize MOD 17… -$37,432
Change Order 22 · South bronx job corps center building one renovation RFC 50- off-site storage fee for HVAC equipment RFC 52 removal of bird dropping the period of performance… $36,946
Change Order 21 · South bronx job corps center building one renovation RFC 42- not-to-exceed amount($244,081.00)reconstruction and restoration southeast masonry gable RFC 60-… $1,137,548
Change Order 20 · South bronx job corps center building one renovation RFC-46- testing at pump room water tanks RFC-47-additional rent for sidewalk bridge, scaffold and hoist… $290,907
Supplemental Agreement for work within scope 19 · South bronx job corps center building one renovation RFC-53 - provide additional masonry restoration as described in the a & e's revised a-201.02 drawings… $553,316
Change Order 18 · South bronx job corps center building one renovation RFC-44 list of corrections to be made: 1. References made to RFC 36, 37, 39 and 41 do not apply. 2. The… $182,868
Supplemental Agreement for work within scope 17 $477,425
Change Order 16 $58,338
Change Order 14 $113,934
Change Order 15 $1,020,104
Change Order 13 -$32,464
Change Order 12 $10,181
Change Order 11 $501,026
Change Order 10 $160,056
Change Order 9 · South bronx job corps center building one renovation list of changes: 1. RFC 23 lintel installation in phase 2B. Install steel lintels across selected second… $199,938
Change Order 8 -$244,817
Change Order 7 · South bronx job corps center building one renovation list of changes: RFC-13 chimney inspections RFC-08R additional funding for revised phasing plan RFC 9R… $882,412
Change Order 6 $248,591
Change Order 5 $168,897
Change Order 4 · South bronx job corps center building one renovation list of changes: 1) RFC-10 assessment water damage at dental storage room 2) RFC-11 testing for asbestos in… $9,132
Supplemental Agreement for work within scope 3 · South bronx job corps center building one renovation RFC-005 : abate approximately 10 lineal feet of asbestos pipe insulation in mechanical rooms 007 and 009 $13,363
Supplemental Agreement for work within scope 2 · South bronx job corps center building one renovation RFC-003 : new plywood floor in building 1 attic space. $16,298.25 RFC-00 relocate sprinkler line and header… $26,298
Supplemental Agreement for work within scope 1 $588,734
Original award $9,970,000
Show all 49

Quick answers

Who was awarded contract DOLETA14C0010?

DOLETA14C0010 was awarded to Nagan Construction Inc. by Employment and Training Administration (Department of Labor) on June 16, 2014.

How much is contract DOLETA14C0010 worth?

The government has obligated $17,956,760 on DOLETA14C0010.

Which agency awarded contract DOLETA14C0010?

Employment and Training Administration (Department of Labor) awarded DOLETA14C0010, with funding from Job Corps National Office (Office of Job Corps).

Was contract DOLETA14C0010 competed?

The extent of competition for DOLETA14C0010 was full and open competition after exclusion of sources. The government received 7 offers. It was set aside: Total Small Business.

On GovTribe

See this award's full record

  • Every transaction and funding action
  • The awardee's other awards and teaming partners
  • Similar awards and recompete opportunities
  • Ask GovTribe AI about this award